Skip to content
Open
Show file tree
Hide file tree
Changes from all commits
Commits
File filter

Filter by extension

Filter by extension

Conversations
Failed to load comments.
Loading
Jump to
Jump to file
Failed to load files.
Loading
Diff view
Diff view
7 changes: 5 additions & 2 deletions api-reference/document.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -34,7 +34,7 @@ Because the request includes a file upload, it must be an HTTP POST request with

Please be aware that the uploaded document is automatically removed from the server once the translated document has been downloaded. You have to upload the document again in order to restart the translation.

You may specify the glossary to use for the document translation using the `glossary_id` parameter. **Important:** This requires the `source_lang` parameter to be set and the language pair of the glossary has to match the language pair of the request.
You may specify the glossary to use for the document translation using the `glossary_id` parameter. **Important:** This requires the `source_lang` parameter to be set and the language pair of the glossary has to match the language pair of the request. Glossaries created for a base language (e.g., `EN`) can be applied to variants of that language (e.g., `EN-GB`).

For more detail about request body parameters, see the [Request Body Descriptions](/api-reference/document#request-body-descriptions) section further down on the page.

Expand Down Expand Up @@ -156,7 +156,10 @@ These examples are for demonstration purposes only. In production code, the auth
</ul>
</ParamField>
<ParamField body="glossary_id" type="string">
A unique ID assigned to a glossary.
Specify the glossary to use for the document translation.
<Note>
<strong>Important:</strong> This requires the <code>source_lang</code> parameter to be set and the language pair of the glossary has to match the language pair of the request. Glossaries created for a base language (e.g., <code>EN</code>) can be applied to variants of that language (e.g., <code>EN-GB</code>).
</Note>
</ParamField>
<ParamField body="output_format" type="string">
File extension of desired format of translated file, for example: `pdf`. If unspecified, by default the translated file will be in the same format as the input file.
Expand Down
17 changes: 11 additions & 6 deletions api-reference/openapi.yaml
Original file line number Diff line number Diff line change
Expand Up @@ -433,15 +433,15 @@ paths:
description: |-
Specify the glossary to use for the translation. **Important:** This requires the `source_lang`
parameter to be set. The language pair of the glossary has to match the language pair of the
request.
request. Glossaries created for a base language (e.g., `EN`) can be applied to variants of that language (e.g., `EN-GB`).
type: string
example: def3a26b-3e84-45b3-84ae-0c0aaf3525f7
style_id:
description: |-
Specify the [style rule list](/api-reference/style-rules) to use for the translation.
Specify the [style rule list](/api-reference/style-rules) to use for the translation.

**Important:** The target language has to match the language of the style rule list. Style rule lists created for a base language (e.g., `EN`) can be applied to variants of that language (e.g., `EN-GB`).

**Important:** The target language has to match the language of the style rule list.

**Note:** Any request with the `style_id` parameter enabled will use `quality_optimized` models. Requests combining `style_id` and `model_type: latency_optimized` will be rejected.
type: string
example: 7ff9bfd6-cd85-4190-8503-d6215a321519
Expand Down Expand Up @@ -525,7 +525,7 @@ paths:
description: |-
Specify the glossary to use for the translation. **Important:** This requires the `source_lang`
parameter to be set. The language pair of the glossary has to match the language pair of the
request.
request. Glossaries created for a base language (e.g., `EN`) can be applied to variants of that language (e.g., `EN-GB`).
type: string
example: def3a26b-3e84-45b3-84ae-0c0aaf3525f7
translation_memory_id:
Expand Down Expand Up @@ -682,7 +682,12 @@ paths:
formality:
$ref: '#/components/schemas/Formality'
glossary_id:
$ref: '#/components/schemas/GlossaryId'
description: |-
Specify the glossary to use for the document translation. **Important:** This requires the `source_lang`
parameter to be set. The language pair of the glossary has to match the language pair of the
request. Glossaries created for a base language (e.g., `EN`) can be applied to variants of that language (e.g., `EN-GB`).
type: string
example: def3a26b-3e84-45b3-84ae-0c0aaf3525f7
enable_beta_languages:
description: |-
No languages are currently in Beta. This parameter is maintained for backward compatibility and has no effect. Previously enabled 81 languages that are now part of the standard language list. See the [full list](/docs/getting-started/supported-languages).
Expand Down
4 changes: 2 additions & 2 deletions api-reference/translate.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -284,13 +284,13 @@ error.
<ParamField body="glossary_id" type="string">
Specify the glossary to use for the translation.
<Note>
<strong>Important:</strong> This requires the <code>source_lang</code> parameter to be set and the language pair of the glossary has to match the language pair of the request.
<strong>Important:</strong> This requires the <code>source_lang</code> parameter to be set and the language pair of the glossary has to match the language pair of the request. Glossaries created for a base language (e.g., <code>EN</code>) can be applied to variants of that language (e.g., <code>EN-GB</code>).
</Note>
</ParamField>
<ParamField body="style_id" type="string">
Specify the style rule list to use for the translation which can be used to customize translations according to the selected formatting and style conventions.
<Info>
The target language has to match the language of the style rule list.
The target language has to match the language of the style rule list. Style rule lists created for a base language (e.g., `EN`) can be applied to variants of that language (e.g., `EN-GB`).

Additionally, any request with the `style_id` parameter enabled will default to use the `quality_optimized` model type. Requests combining `style_id` and `model_type: latency_optimized` will be rejected.
</Info>
Expand Down
4 changes: 0 additions & 4 deletions docs/getting-started/supported-languages.mdx
Original file line number Diff line number Diff line change
Expand Up @@ -17,7 +17,3 @@ import { LanguageTable } from "/snippets/language-table.jsx"
<Info>
Text improvement languages have not yet been added to the [`/languages` endpoint](/api-reference/languages/retrieve-supported-languages). For `/write/rephrase`, `writing_style` and `tone` currently work in `DE`, `EN-GB`, and `EN-US`.
</Info>

<Info>
Style rules are supported for the following target languages: `de`, `en`, `es`, `fr`, `it`, `ja`, `ko`, and `zh`. For more details, see the [Style Rules API documentation](/api-reference/style-rules).
</Info>
Loading